All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Interface MetadataSourceConfigurationInterface

All Known Implementing Classes:
  MetadataSourceConfiguration

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface MetadataSourceConfigurationInterface

Interface describing a metadata source from which a foundation service deployment can be obtained. The `ServiceLoader` will query this metadata source for a foundation services deployment.

Currently two metadata sources are supported:

- SAS Metadata Repository
- URL accessible source such as a file

Use the Foundation Services Manager plug-in to the SAS Management Console to administer an application's foundation services deployment configuration. This plug-in provides the capability to export an application's foundation services deployment configuration from a SAS Metadata Repository to a UTF-8 encoded XML file. This file serves two purposes:

- import/export foundation services metadata to/from a SAS Metadata Repository
- file source for use with deploying an application's foundation services

Since:
  1.0
See Also:
  `MetadataSourceInterface`

Method Summary
`abstract MetadataSourceInterface` | `getMetadataSource()` Gets a metadata source capable of providing a platform service deployment.

Method Detail

### getMetadataSource

    MetadataSourceInterface getMetadataSource()

  Gets a metadata source capable of providing a platform service deployment.

  Returns:
    Metadata source.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.